local addonName, TF = ...

local TradeFill = LibStub("AceAddon-3.0"):GetAddon(addonName)

function TradeFill:AvailableItems()

    TF.stackCount = {}

    for key = 1, MAX_TRADABLE_ITEMS do
        TF.stackCount[key] = { stack = 0, id = 0, trade = 0 }
    end

	for i = 1, TF.inventoryIndex do
        for key = 1, MAX_TRADABLE_ITEMS do
            if TF.inventory[i].item == TF.data.item[tostring(key)].id then

                TF.stackCount[key].id =  TF.inventory[i].item
                TF.stackCount[key].stack = TF.stackCount[key].stack + TF.inventory[i].count
            end
        end
    end
end

function TradeFill:SearchInventory()
    TF.inventoryIndex = 0
    TF.inventory = {}

    for bag = 0, 4 do
        for slot = 1, C_Container.GetContainerNumSlots(bag) do
            local bagItem = C_Container.GetContainerItemInfo(bag, slot)

            if bagItem ~= nil then
                for key = 1, MAX_TRADABLE_ITEMS do
                    if bagItem.itemID == TF.data.item[tostring(key)].id then
                        TF.inventoryIndex = TF.inventoryIndex + 1
                        TF.inventory[TF.inventoryIndex] = {
                            ["bag"] = bag,
                            ["slot"] = slot,
                            ["item"] = bagItem.itemID,
                            ["bound"] = bagItem.isBound,
                            ["count"] = bagItem.stackCount,
                            ["link"] = bagItem.hyperlink
                        }
                    end
                end
            end
        end
    end
    TradeFill:AvailableItems()
end